/*****************************************************************************************
 ** File     : Ldap.h
 ** Date     : 03/09/2002
 ** Author   : Osama Dengler <osama@denglernet.de>
 ** Abstract : 
 **
 ** Copyright (C) Osama Dengler 2002
 **
 ** This program is free software; you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation; either version 2 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program; if not, write to the Free Software
 ** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************************/

/*
 * Tested with OpenLDAP 2.0.18
 */
#define LDAP_EXOP_X_MODIFY_PASSWD _T("1.3.6.1.4.1.4203.1.11.1")
#define LDAP_TAG_EXOP_X_MODIFY_PASSWD_ID	((ULONG) 0x80U)
#define LDAP_TAG_EXOP_X_MODIFY_PASSWD_OLD	((ULONG) 0x81U)
#define LDAP_TAG_EXOP_X_MODIFY_PASSWD_NEW	((ULONG) 0x82U)
#define LDAP_TAG_EXOP_X_MODIFY_PASSWD_GEN	((ULONG) 0x80U)

/*
 * Function prototypes
 */
BOOL LdapChangePassword( PWSTR pUserName, PWSTR pUserPassword);
BOOL LdapSetPassword( PWSTR pUserName, PWSTR pUserPassword);
LDAP* LdapConnect();
BOOL LdapBind(LDAP* ld);
PWSTR LdapFindUserAccount(LDAP* ld, PWSTR pUserName);
BOOL LdapSetUserPassword(LDAP* ld, PWSTR pDN, PWSTR pUserPassword);
BOOL LdapFreeMemory(PWSTR pDN);
BOOL LdapClose(LDAP* ld);
int LdapGetProtocolVersion(void);
